scsi_remove_single_device
Prev | drivers/scsi/scsi_proc.c | Next

## Name

scsi_remove_single_device — Respond to user request to remove a device

## Synopsis

`int scsi_remove_single_device (` | uint | host,
| uint | channel,
| uint | id,
| uint | lun`)`;

## Arguments

`host`

  user-supplied decimal integer

`channel`

  user-supplied decimal integer

`id`

  user-supplied decimal integer

`lun`

  user-supplied decimal integer

## Description

called by writing “scsi remove-single-device” to /proc/scsi/scsi. Does a `scsi_device_lookup` and `scsi_remove_device`

Prev | Up | Next
scsi_add_single_device | Home | proc_scsi_write